extends Node2D

@export var positions: Array[Node2D]


func spawn():
	var pos: Node2D = positions.pick_random()
	if not pos:
		return
	positions.erase(pos)
	var scene = load("res://scenes/smoke_particles.tscn")
	var scene_instance = scene.instantiate()
	add_child(scene_instance)
	scene_instance.global_position = pos.global_position
